import { jsxs as c, jsx as e } from "react/jsx-runtime";
import { aJ as f } from "./use-page-data.BYLN5MSa.js";
import { a as o } from "./twind.Cg2g8xBZ.js";
import { b as u } from "./use-section-style.CqWLdjop.js";
import { B as g } from "./BrickRoot.CQgjTuOI.js";
function b({ brick: t, editable: l }) {
  const s = t.props, i = u(t), n = Object.values(i), p = l ? (a) => {
    a.preventDefault();
  } : void 0;
  return /* @__PURE__ */ c(
    g,
    {
      brick: t,
      editable: l,
      manifest: f,
      "data-no-section-padding": !0,
      as: "footer",
      className: o(
        // Force 2 cols on mobile
        "grid gap-6 @desktop:grid-flow-col @mobile:grid-cols-2 @desktop:auto-cols-fr ",
        n
      ),
      children: [
        s.logo?.src && /* @__PURE__ */ e(
          "div",
          {
            className: o(
              "items-center @desktop:(mr-10 col-span-1) @mobile:(flex col-start-1 col-span-2 justify-center)"
            ),
            "data-brick-group": "brand",
            children: /* @__PURE__ */ e("img", { src: s.logo.src, alt: s.logo.alt ?? "Logo", className: "h-full max-h-[80px] w-auto" })
          }
        ),
        s.linksSections?.map((a, m) => /* @__PURE__ */ c("nav", { className: o("flex flex-col @mobile:gap-3 @desktop:gap-2"), children: [
          /* @__PURE__ */ e("h6", { className: o("uppercase font-bold opacity-80"), children: a.sectionTitle }),
          a.links?.map((r, d) => /* @__PURE__ */ e("a", { href: r.url, onClick: p, className: o("link link-hover max-w-fit"), children: r.title }, d))
        ] }, m))
      ]
    }
  );
}
export {
  b as default
};
